java.awt

## Interface PrintGraphics

-     public interface PrintGraphics

  An abstract class which provides a print graphics context for a page.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrintJob` | `getPrintJob()` Returns the PrintJob object from which this PrintGraphics object originated.

- - ### Method Detail

    - #### getPrintJob

          PrintJob getPrintJob()

      Returns the PrintJob object from which this PrintGraphics object originated.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.